
package de.ivu.elect.jee.presentation.status;

import de.ivu.elect.jee.presentation.charts.AbstractChartModelBuilder;

public enum OutputSeverity {

  NONE{
    @Override
    public String getColor() {
      return AbstractChartModelBuilder.WEISS;
    }
  },
  EMPTY{
    @Override
    public String getColor() {
      return AbstractChartModelBuilder.GRAU;
    }
  },
  INFO {
    @Override
    public String getColor() {
      return AbstractChartModelBuilder.BLAU;
    }
  },
  WARN {
    @Override
    public String getColor() {
      return AbstractChartModelBuilder.GELB;
    }
  },
  ERROR {
    @Override
    public String getColor() {
      return AbstractChartModelBuilder.ROT;
    }
  },
  SUCCESS {
    @Override
    public String getColor() {
      return AbstractChartModelBuilder.GRUEN;
    }
  };

  public boolean isEmpty() {
    return this.equals(EMPTY);
  }

  public boolean isInfo() {
    return this.equals(INFO);
  }

  public boolean isWarn() {
    return this.equals(WARN);
  }

  public boolean isError() {
    return this.equals(ERROR);
  }

  public boolean isSuccess() {
    return this.equals(SUCCESS);
  }


  public abstract String getColor();
}
